package widebase.rpc

import widebase.rpc.interface.ClientInterface

/** RPC Client
 *
 * @param host of server
 * @param port of server
 *
 * @author myst3r10n
 */
class Client(host: String, port: Int)
  extends msgpack.rpcx.Client(host, port)
  with Proxy {

  /** proxy to [[widebase.rpc.ClientInterface]]. */
  override val proxy = client.proxy(classOf[ClientInterface])

}

