package widebase.rpc

import widebase.rpc.interface.ClientInterface

/** Client session
 *
 * @param session object
 */
class Session(session: org.msgpack.rpc.Session)
  extends msgpack.rpcx.Session(session)
  with Proxy {

  /** Proxy to client interface. */
  override val proxy = session.proxy(classOf[ClientInterface])

}

