package widebase.rpc

/** Pooled sessions.
 *
 * @author myst3r10n
 */
class SessionPool extends msgpack.rpcx.SessionPool {

  /** Get client session.
   *
   * @param host of server
   * @param port of server
   *
   * @return client session
   */
  override def session(host: String, port: Int) =
    new Session(pool.getSession(host, port))

}

